body{
    background-color: wheat;
}
/*===============CSS Animation===============*/
@keyframes spin {
    from {
        transform:rotateY(0deg);
    }
    to {
        transform:rotateY(-360deg);
    }
}
.container {
    width: 100%;
    height: 700px;
    perspective: 800px;
    perspective-origin: 50% 225px;
}

.stage {
    width: 100%;
    height: 100%;
    transform-style: preserve-3d;
    transform: translateZ(-200px);
}

.ring {
    position: relative;
    top: 160px;
    margin: 0 auto;
    height: 200px;
    width: 200px;
    transform-style: preserve-3d;
    animation: spin 18s infinite linear;
}

.plane {
    position: absolute;
    height: 200px;
    width: 200px;
    background-color: rgba(255, 255, 255, 0.6);
    backface-visibility: hidden;
}

img{
    aspect-ratio: 9/16;
    width: 200px;
}

.ring .one {
    transform: translateZ(380px);
}
.ring .two {
    transform: rotateY(36deg) translateZ(380px);
}
.ring .three {
    transform: rotateY(72deg) translateZ(380px);
}
.ring .four {
    transform: rotateY(108deg) translateZ(380px);
}
.ring .five {
    transform: rotateY(144deg) translateZ(380px);
}
.ring .six {
    transform: rotateY(180deg) translateZ(380px);
}
.ring .seven {
    transform: rotateY(216deg) translateZ(380px);
}
.ring .eight {
    transform: rotateY(252deg) translateZ(380px);
}
.ring .nine {
    transform: rotateY(288deg) translateZ(380px);
}
.ring .ten {
    transform: rotateY(324deg) translateZ(380px);
}


/*===============CSS Slider===============*/
* {box-sizing:border-box}

/* Slideshow container */
.slideshow-container {
    max-width: 1000px;
    position: relative;
    margin: auto;
}

/* Hide the images by default */
.mySlides {
    display: none;
}

/* Next & previous buttons */
.prev, .next {
    cursor: pointer;
    position: absolute;
    top: 50%;
    width: auto;
    margin-top: -22px;
    padding: 16px;
    color: white;
    font-weight: bold;
    font-size: 18px;
    transition: 0.6s ease;
    border-radius: 0 3px 3px 0;
    user-select: none;
}

/* Position the "next button" to the right */
.next {
    right: 0;
    border-radius: 3px 0 0 3px;
}

/* On hover, add a black background color with a little bit see-through */
.prev:hover, .next:hover {
    background-color: rgba(0,0,0,0.8);
}

/* Caption text */
.text {
    color: #f2f2f2;
    font-size: 15px;
    padding: 8px 12px;
    position: absolute;
    bottom: 8px;
    width: 100%;
    text-align: center;
}

/* Number text (1/3 etc) */
.numbertext {
    color: #f2f2f2;
    font-size: 12px;
    padding: 8px 12px;
    position: absolute;
    top: 0;
}

/* The dots/bullets/indicators */
.dot {
    cursor: pointer;
    height: 15px;
    width: 15px;
    margin: 0 2px;
    background-color: #bbb;
    border-radius: 50%;
    display: inline-block;
    transition: background-color 0.6s ease;
}

.active, .dot:hover {
    background-color: #717171;
}

/* Fading animation */
.fade {
    animation-name: fade;
    animation-duration: 1.5s;
}

@keyframes fade {
    from {opacity: .4}
    to {opacity: 1}
}